/*
 * COPYRIGHT (c) 2018 All rights reserved by HANWHA LIFE.
 */
package kr.co.zumo.app.lifeplus.activity;

import android.os.Bundle;

import kr.co.zumo.app.R;
import kr.co.zumo.app.lifeplus.manager.ActionBarManager;
import kr.co.zumo.app.lifeplus.model.SuperModel;
import kr.co.zumo.app.lifeplus.view.presenter.Presenter;

/**
 * PermissionInfoActivity
 * <pre>
 * </pre>
 *
 * @author 민효동
 * @version 1.0
 * @history 민효동   [2018-09-29]   [최초 작성]
 * @since 2018-09-29
 */
public class PermissionInfoActivity extends ActivityBase {

  @Override
  void onAfterCreate(Bundle savedInstanceState) {


    setContentView(R.layout.activity_layout_access_authority);


    ActivityStarter starter = new ActivityStarter(this);

    findViewById(R.id.button_access_authority).setOnClickListener(v -> {
      SuperModel.getInstance().getPreferences().setPermissionInfoDone(true);

      starter.launch(true);
    });

  }

  @Override
  void defineActionBar() {
    ActionBarManager.getInstance().hide();
  }

  @Override
  Presenter definePresenter() {
    return null;
  }
}
